Subject: [dane] Reminder: WGLC: DANE-SRV & DANE-SMTP

From: Olafur Gudmundsson <[email-masked]>
Date: Tue, 2 Dec 2014 12:52:08 -0500

Dear Colleagues 

please review these documents and let us know if they are ready to advance or not. 
thanks
	Olafur & Warren 

> Begin forwarded message:
> 
> From: Olafur Gudmundsson <[email-masked]>
> Subject: WGLC: DANE-SRV & DANE-SMTP
> Date: November 12, 2014 at 11:09:41 PM EST
> To: "<[email-masked]>" <[email-masked]>
> 
> Dear wg members
> 
> This email message starts a three week WGLC ending on December 4’th at 23:59 UTC. 
> 
> http://tools.ietf.org/wg/dane/draft-ietf-dane-srv <http://tools.ietf.org/wg/dane/draft-ietf-dane-srv>
> and 
> https://tools.ietf.org/html/draft-ietf-dane-smtp-with-dane-13 <https://tools.ietf.org/html/draft-ietf-dane-smtp-with-dane-13>
> 
> These two document are specifying related uses of DANE. 
> Please review the documents carefully, in particular we want to make sure the documents have no 
> contradictions. 
> 
> We need at least 5 members of the working group to state in public that they have read the documents and 
> state what is needed to fixed before the documents are advanced. 
> 
> I will act as document shepherd for these two documents. 
> 
> Olafur & Warren

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 3 Dec 2014 20:00:55 -0800

I have read these two documents and they seem fine. I'm sure there will be significant comments in IETF Last Call from folks in Apps Area, both about the use of SRV and SMTP, and possibly technical changes based on those, but as a WG product, both of these seem fine.

--Paul Hoffman

---

From: Dan York <[email-masked]>
Date: Mon, 8 Dec 2014 20:18:53 +0000

Olafur & Warren,

I realize that WGLC formally ended on Friday, but I'll note that I have read these two documents and I didn't really much beyond comments that Stephane and Viktor have already made. I support the documents moving ahead subject to the comments that have been sent around.

In https://tools.ietf.org/html/draft-ietf-dane-srv-08  I have these two comments:

1. A nitpick where the abstract says:
----
   The DANE specification (RFC 6698) describes how to use TLSA resource
   records in the DNS to associate a server's host name with its TLS
   certificate, where the association is secured with DNSSEC.  However,
   application protocols that use SRV records (RFC 2782) to indirectly
   name the target server host names for a service domain cannot apply
   the rules from RFC 6698.
----

I think there is a singular/plural mismatch here.  I think it should be "to indirectly name the target server host **name** for a service domain"

2. Where is 'Certificate Usage "DANE-EE"' defined?  I see it referenced here in section 4.2 but I don't find any reference to "DANE-EE" in RFC 6698 or find a definition in this document?

In https://tools.ietf.org/html/draft-ietf-dane-smtp-with-dane-13 nothing leapt out at me in terms of comments, although I will admit I did not read it as thoroughly as the SRV one.  I will note that DANE-EE *is* used and defined here in this document.

My 2 cents,
Dan

--
Dan York
Senior Content Strategist, Internet Society
[email-masked]<mailto:[email-masked]>   +1-802-735-1624
Jabber: [email-masked]<mailto:[email-masked]>
Skype: danyork   http://twitter.com/danyork

http://www.internetsociety.org/deploy360/

On Dec 3, 2014, at 11:00 PM, Paul Hoffman <[email-masked]<mailto:[email-masked]>>
 wrote:

--Paul Hoffman
_______________________________________________
dane mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dane

---

From: Shumon Huque <[email-masked]>
Date: Mon, 8 Dec 2014 15:34:45 -0500

On Mon, Dec 8, 2014 at 3:18 PM, Dan York <[email-masked]> wrote:

>  Olafur & Warren,
>
>  I realize that WGLC formally ended on Friday, but I'll note that I have
> read these two documents and I didn't really much beyond comments that
> Stephane and Viktor have already made. I support the documents moving ahead
> subject to the comments that have been sent around.
>
> [...]
>  2. Where is 'Certificate Usage "DANE-EE"' defined?  I see it referenced
> here in section 4.2 but I don't find any reference to "DANE-EE" in RFC 6698
> or find a definition in this document?
>

DANE parameter abbreviations are defined in RFC 7218. The draft mentions
that it references those in Section 2 Terminology.

Shumon

---

From: Viktor Dukhovni <[email-masked]>
Date: Mon, 8 Dec 2014 20:39:46 +0000

On Mon, Dec 08, 2014 at 08:18:53PM +0000, Dan York wrote:

> I realize that WGLC formally ended on Friday, but I'll note that
> I have read these two documents and I didn't really much beyond
> comments that Stephane and Viktor have already made. I support the
> documents moving ahead subject to the comments that have been sent
> around.

I have not finished posting my -SRV comments yet.  Sorry, cycles
are a bit scarce, but I'd like a bit more time to post the remainder.

-- 
	Viktor.

---

From: Olafur Gudmundsson <[email-masked]>
Date: Mon, 8 Dec 2014 23:06:35 +0000

Viktor 
I’m traveling this week so I may not have much time to exactly do things but I have long fight on Saturday and was going
to use that one to collect all my thoughts on the WGLC and start the OPS document WG last call then 

   so take your time to rev the next version 

	Olafur (in London) 

> On Dec 8, 2014, at 8:39 PM, Viktor Dukhovni <[email-masked]> wrote:
> 
> [email-masked]

---

From: James Cloos <[email-masked]>
Date: Mon, 08 Dec 2014 19:11:30 -0500

>>>>> "DY" == Dan York <[email-masked]> writes:

DY> I think there is a singular/plural mismatch here.  I think it should
DY> be "to indirectly name the target server host **name** for a service
DY> domain"

I presume the plural is because a service domain can have several target
host names for any given service.

-JimC
-- 
James Cloos <[email-masked]>         OpenPGP: 0x997A9F17ED7DAEA6

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Mon, 08 Dec 2014 18:24:50 -0700

> are a bit scarce, but I'd like a bit more time to post the remainder.

Personally I am in no great hurry, since I have a bunch of other specs 
to finish in the UTA, PRECIS, XMPP, URNBIS, and STOX WGs...

Peter